=== debian/changelog ===
binaryen (108-1) unstable; urgency=medium

  * New upstream version 108
  * Drop no-gtests.patch.
  * Disable the tests to avoid a dependency on gtests.
  * Declare compliance with Debian Policy 4.6.1.

 -- Markus Koschany <apo@debian.org>  Sat, 28 May 2022 14:15:15 +0200

binaryen (106-1) unstable; urgency=medium

  * New upstream version 106.
  * Build-depend on libgtest-dev and do not look for a local copy of the
    gtest library.

 -- Markus Koschany <apo@debian.org>  Fri, 29 Apr 2022 12:50:19 +0200
