## binaryen 112

=== debian/changelog ===
binaryen (112-1) experimental; urgency=medium

  [ Markus Koschany ]
  * Remove build-dependency on libgtest-dev.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
    Fixes: lintian: upstream-metadata-file-is-missing
    Fixes: lintian: upstream-metadata-missing-bug-tracking

  [ Markus Koschany ]
  * Declare compliance with Debian Policy 4.6.2.
  * New upstream version 112.

 -- Markus Koschany <apo@debian.org>  Sat, 04 Mar 2023 02:03:14 +0100
