=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
- libgtest-dev,
  python3
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/WebAssembly/binaryen
 Vcs-Git: https://salsa.debian.org/debian/binaryen.git
 Vcs-Browser: https://salsa.debian.org/debian/binaryen
