## binaryen 120

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # to reduce this for compatability with emsdk.
 set(CMAKE_OSX_DEPLOYMENT_TARGET "10.14" CACHE STRING "Minimum OS X deployment version")
 
-project(binaryen LANGUAGES C CXX VERSION 108)
+project(binaryen LANGUAGES C CXX VERSION 120)
 include(GNUInstallDirs)
 
 # The C++ standard whose features are required to build Binaryen.
@@ -37,8 +37,29 @@
 # Turn this off to build only the library.
 option(BUILD_TOOLS "Build tools" ON)
 
+# Turn this off to install only tools and not static/dynamic libs
+option(INSTALL_LIBS "Install libraries" ON)
+
+# Turn this on to build only the subset of tools needed for emscripten
+option(BUILD_EMSCRIPTEN_TOOLS_ONLY "Build only tools needed by emscripten" OFF)
+
 # Turn this on to build binaryen.js as ES5, with additional compatibility configuration for js_of_ocaml.
 option(JS_OF_OCAML "Build binaryen.js for js_of_ocaml" OFF)
+
+# Turn this on to compile binaryen toolchain utilities for the browser.
+option(BUILD_FOR_BROWSER "Build binaryen toolchain utilities for the browser" OFF)
+
+# Turn this on to use the Wasm EH feature instead of emscripten EH in the wasm/BinaryenJS builds
+option(EMSCRIPTEN_ENABLE_WASM_EH "Enable Wasm EH feature in emscripten build" OFF)
+
+option(EMSCRIPTEN_ENABLE_WASM64 "Enable memory64 in emscripten build" OFF)
+
+# Turn this on to use pthreads feature in the wasm/BinaryenJS builds
+option(EMSCRIPTEN_ENABLE_PTHREADS "Enable pthreads in emscripten build" OFF)
+
+# Turn this off to generate a separate .wasm file instead of packaging it into the JS.
+# This is useful for debugging, performance analysis, and other testing.
+option(EMSCRIPTEN_ENABLE_SINGLE_FILE "Enable SINGLE_FILE mode in emscripten build" ON)
 
 # For git users, attempt to generate a more useful version string
 if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/.git)
@@ -107,7 +128,7 @@
     set(_install_name_dir INSTALL_NAME_DIR "@rpath")
     set(_install_rpath "@loader_path/../lib")
   elseif(UNIX)
-    set(_install_rpath "\$ORIGIN/../${CMAKE_INSTALL_LIBDIR}")
+    set(_install_rpath "\$ORIGIN/../lib")
     if(${CMAKE_SYSTEM_NAME} MATCHES "(FreeBSD|DragonFly)")
       set_property(TARGET ${name} APPEND_STRING PROPERTY
                    LINK_FLAGS " -Wl,-z,origin ")
@@ -154,6 +175,7 @@
 # Compiler setup.
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)
+include_directories(${CMAKE_CURRENT_SOURCE_DIR}/third_party/FP16/include)
 if(BUILD_LLVM_DWARF)
   include_directories(${CMAKE_CURRENT_SOURCE_DIR}/third_party/llvm-project/include)
 endif()
@@ -260,6 +282,7 @@
   endif()
   add_compile_flag("-Wextra")
   add_compile_flag("-Wno-unused-parameter")
+  add_compile_flag("-Wno-dangling-pointer") # false positive in gcc
   add_compile_flag("-fno-omit-frame-pointer")
   add_compile_flag("-fno-rtti")
   # TODO(https://github.com/WebAssembly/binaryen/pull/2314): Remove these two
@@ -270,50 +293,14 @@
   add_compile_flag("-Wimplicit-fallthrough")
   add_compile_flag("-Wnon-virtual-dtor")
 
+  if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
+    # Google style requires this, so make sure we compile cleanly with it.
+    add_compile_flag("-Wctad-maybe-unsupported")
+    # Disable a warning that started to happen on system headers (so we can't
+    # fix it in our codebase) on github CI:
+    # https://github.com/WebAssembly/binaryen/pull/6597
+    add_compile_flag("-Wno-deprecated-declarations")
+  endif()
+
   if(WIN32)
     add_compile_flag("-D_GNU_SOURCE")
-    add_compile_flag("-D__STDC_FORMAT_MACROS")
-    if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
-      add_link_flag("-Wl,/stack:8388608")
-    else()
-      add_link_flag("-Wl,--stack,8388608")
-    endif()
-  elseif(NOT EMSCRIPTEN)
-    add_compile_flag("-fPIC")
-  endif()
-  add_debug_compile_flag("-O0")
-  add_debug_compile_flag("-g3")
-  add_nondebug_compile_flag("-O2")
-  if(BYN_ENABLE_ASSERTIONS)
-    # On non-Debug builds cmake automatically defines NDEBUG, so we
-    # explicitly undefine it:
-    add_nondebug_compile_flag("-UNDEBUG")
-  endif()
-endif()
-
-if(EMSCRIPTEN)
-  # link with -O3 for metadce and other powerful optimizations. note that we
-  # must use add_link_options so that this appears after CMake's default -O2
-  add_link_options("-O3")
-  add_link_flag("-s SINGLE_FILE")
-  add_link_flag("-s ALLOW_MEMORY_GROWTH=1")
-  add_compile_flag("-s DISABLE_EXCEPTION_CATCHING=0")
-  add_link_flag("-s DISABLE_EXCEPTION_CATCHING=0")
-  # make the tools immediately usable on Node.js
-  add_link_flag("-s NODERAWFS")
-  # in opt builds, LTO helps so much (>20%) it's worth slow compile times
-  add_nondebug_compile_flag("-flto")
-endif()
-
-# clang doesn't print colored diagnostics when invoked from Ninja
-if(UNIX AND CMAKE_GENERATOR STREQUAL "Ninja")
-  if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
-    add_compile_flag("-fdiagnostics-color=always")
-  elseif(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
-    add_compile_flag("-fcolor-diagnostics")
-  endif()
-endif()
-
-# Static libraries
-# Current (partial) dependency structure is as follows:
-# tools -> passes -> wasm -> asmjs -> support
