=== src/ir/CMakeLists.txt ===
--- 
+++ 
@@ -2,15 +2,22 @@
 set(ir_SOURCES
   ExpressionAnalyzer.cpp
   ExpressionManipulator.cpp
+  debuginfo.cpp
+  drop.cpp
+  effects.cpp
   eh-utils.cpp
+  export-utils.cpp
   intrinsics.cpp
   lubs.cpp
   memory-utils.cpp
   module-utils.cpp
   names.cpp
+  possible-contents.cpp
   properties.cpp
   LocalGraph.cpp
+  LocalStructuralDominance.cpp
   ReFinalize.cpp
+  return-utils.cpp
   stack-utils.cpp
   table-utils.cpp
   type-updating.cpp
