=== test/lit/CMakeLists.txt ===
configure_file(lit.site.cfg.py.in lit.site.cfg.py @ONLY)
