=== debian/control ===
--- 
+++ 
@@ -1,11 +1,15 @@
 Source: binaryen
 Section: devel
 Priority: optional
-Maintainer: Markus Koschany <apo@debian.org>
+Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@alioth-lists.debian.net>
+Uploaders: Markus Koschany <apo@debian.org>, Jérémy Lal <kapouer@melix.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
- python3
+ python3,
+ libgtest-dev,
+ help2man,
+ nodejs <!nocheck>,
 Standards-Version: 4.6.2
 Homepage: https://github.com/WebAssembly/binaryen
 Vcs-Git: https://salsa.debian.org/debian/binaryen.git
